#!/bin/sh

touched=`debconf-show ctvdrcfg | grep "^*" | grep -v "preseed" \
| cut -c 3- | cut -d":" -f1`

. /usr/share/debconf/confmodule
db_version 2.0

# This conf script is capable of backing up
db_capb backup

#
# cycle through our debconf entries and
# get name of packages with changed config
# options; the result is cross checked 
# with packages currently to be installed
# (those we don't have to care for)
#
# outputs list of packages with changes
# as first line and a textual description of
# the changes in the follwing lines on stderr
#

packages="$@"

let max=0

changed=""
oldtopic=""
for t in $touched; do
    pkg=`echo $t | cut -d "/" -f2`
    path=`echo $t | cut -d "/" -f1`
    if ! echo "$packages" | grep -q "$pkg"; then
	if ! echo "$changed" | grep -q "$pkg"; then
	    changed="$changed $pkg"
	fi
	db_metaget ctvdrcfg/$pkg/title description
	topic="$RET"
	db_metaget $t description
	descr=`echo "$RET" | cut -d"?" -f1`
	if [ "$topic" != "$oldtopic" ]; then
	    output="$output\n\n  $topic:"
	fi
	output="$output\n    $descr"
	oldtopic=$topic
    fi
done

if [ "$changed" != "" ]; then
    echo "$changed" >> /dev/stderr
    echo -n "Folgende Konfigurationsnderungen wrden vorgenommen:" >> /dev/stderr
    echo -e "$output" >> /dev/stderr
fi
