#!/bin/sh

. /usr/share/debconf/confmodule
db_version 2.0

# This conf script is capable of backing up
db_capb backup

#
# cycle throug essential config questions
# questions are read from a file and shown
# in that order; args are the names of packages
# to install. Only questions regarding of
# requested installs are thrown to the user
#
# FIXME: should use ready to run config.sh
# scripts as provided by some package installs
# (to react on user input, as leaving fields
#  empty or checking for valid data) 
#

packages="$@"

let max=0
packages=`echo "$packages "`
while read question; do
    if ! echo "$question" | grep -q "^#"; then
	if [ "$question" != "" ]; then
            t=`echo $question | cut -d"/" -f2`
            # ask only for packages that have
            # been selected in this session
            if echo "$packages" | grep -q "$t "; then
	        let max=$max+1
	        questions[$max]=$question
            fi
	fi
    fi
done < /usr/share/ctvdrcfg/questions

STATE="1"
while [ "$STATE" != 0 -a "$STATE" -le "$max" ]; do
    q=${questions[$STATE]}
    t=${q%/*}
    t="$t/title"
    db_settitle $t
    db_input high "$q" || true
    if db_go; then
	STATE=$(($STATE + 1))
    else
	STATE=$(($STATE - 1))
    fi
done
