#!/bin/bash

#
# This scripts checks a package selection for 
# "side effects" - say: depended packages that
# are pulled too and wich we have to configure
# in our way.
#

package=$1
mypath="/var/lib/ctvdrcfg/"

# get all packages pulled manual by us:
# may install more than just selected package
addpkgs=""

# get a list of webminable packages
webminable=`apt-cache search webmin | cut -d "-" -f2`

# check if it manually pulls other packages
# mostly those are recommends ...
# check if manually pulls its webmin-module
# becaue of naming differences
addpkgs=`cat ./addpkgs ./webmin 2> /dev/null`

# check if there is an auto webmin module
if [ ! -e "./webmin" ]; then
    if echo "$webminable" | grep -q "$package"; then
	addpkgs="$addpkgs webmin-$package"
    fi
fi

# check if some dependend packages get pulled
dry=`apt-get install $package $addpkgs --dry-run | \
grep "Inst " | cut -d " " -f2`
for d in $dry; do
    if [ "$d" != "$package" ]; then
        x=`find $mypath -type d -a -name "$d" 2> /dev/null`
        [ "$x" != "" ] && deppkgs="${x##*/} $deppkgs"
    fi
done
echo "$deppkgs"
exit 0


