#!/bin/bash

. /usr/share/debconf/confmodule
set -e

#
# read variables from debconf and write
# a script that can be sourced by another
#

vars=`cat $1 | grep -v "^#"`
echo -n "" > $2
for v in $vars; do
    target=`echo $v | cut -d"<" -f1`
    source=`echo $v | cut -d"<" -f2`
    var=${target##*/}
    if [ "$source" != "" ]; then
	target=$source
    fi
    ok="true"
    db_get $target || ok="false"
    if [ "$ok" = "true" ]; then
	if [ "$RET" != "" ]; then
	    eval $var="$RET"
	    echo "export $var=\"${!var}\"" >> $2
	fi
    else
	echo "$target not found in debconf database" > /dev/stderr
    fi
done
