#!/bin/bash

#
# cycle through seen flags of a list of config 
# questions if some answers are still missing
# questions are read from a file and checked 
# against packages to install (given as parameter
# list)
#
# output is empty, if every question has been 
# answered, otherwise a list is put on stderr
# containing the missing topics
#

. /usr/share/debconf/confmodule
db_version 2.0
set -e

instpackages="$@ "

questions=`cat /usr/share/ctvdrcfg/questions || true`
oldtopic=""
for q in $questions; do
    p=`echo $q | cut -d"/" -f2`
    if echo "$instpackages" | grep -q "$p " ; then
	db_fget $q seen
	if [ "$RET" = "false" ]; then
	    db_metaget $q description
	    question=$RET
	    question=${question%\?}
	    p=${q%/*}
	    db_metaget $p/title description
	    topic=$RET
	    if [ "$topic" != "$oldtopic" ]; then
		output="$output\n\n$topic\n  $question"
	    else    
		output="$output\n  $question"
	    fi
	    oldtopic=$topic
	fi
    fi
done
if [ "$output" != "" ]; then
    echo -e "$output" | cat -s > /dev/stderr
fi
